### Method

# Gtk CellAreastop_editing

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_area_stop_editing (
      GtkCellArea* area,
      gboolean canceled
    )

#### Description [src]

Explicitly stops the editing of the currently edited cell.

If `canceled` is `TRUE`, the currently edited cell renderer will emit the ::editing-canceled signal, otherwise the the ::editing-done signal will be emitted on the current edit widget.

See `gtk_cell_area_get_edited_cell()` and gtk_cell_area_get_edit_widget().

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`canceled`

  Type: `gboolean`

  Whether editing was canceled.